<template>
  <div class="synthesis">
    <el-tabs type="border-card">
      <el-tab-pane label="图层">
        <coverage />
      </el-tab-pane>
      <el-tab-pane label="视图">
        <viewport />
      </el-tab-pane>
      <el-tab-pane label="漫游">
        <wander />
      </el-tab-pane>
      <el-tab-pane label="分析">
        <analyse />
      </el-tab-pane>
      <el-tab-pane label="查询">
        <iqyery />
      </el-tab-pane>
      <el-tab-pane label="定位">
        <orientation />
      </el-tab-pane>
      <el-tab-pane label="测量">
        <measurement />
      </el-tab-pane>
      <el-tab-pane label="标绘">
        <plotting />
      </el-tab-pane>
    </el-tabs>
    <el-card class="box-card">
      <map-div></map-div>
    </el-card>
  </div>
</template>

<script>
import coverage from "./coverage.vue"; //图层
import viewport from "./viewport.vue"; //视图
import wander from "./wander.vue"; //漫游
import analyse from "./analyse.vue"; //分析
import iqyery from "./inquire.vue"; //查询
import orientation from "./orientation.vue"; //定位
import measurement from "./measurement.vue"; //测量
import plotting from "./plotting.vue"; //标绘
import MapDiv from "../../components/MapDiv";
export default {
  components: {
    coverage,
    viewport,
    wander,
    analyse,
    iqyery,
    orientation,
    measurement,
    plotting,
    MapDiv,
  },
  data() {
    return {
      iframeSrc: null,
      messageName: null,
    };
  },
  watch: {},
  methods: {
    tepostmessage(res) {
      const msg = {
        message: "changeTool",
        data: res,
      };
      document
        .getElementById("sunIframe")
        .contentWindow.postMessage(msg, this.iframeSrc);
    },
  },
  mounted() {
    //this.messageName = this.$store.state.teNmme;
    this.$bus.$on("changetool", (e) => {
      this.tepostmessage(e);
    });
  },
  created() {},
};
</script>

<style>
.el-card {
  border: transparent !important;
}
.synthesis {
  width: 100%;
  height: 100%;
  position: relative;
}
.synthesis .el-tabs__item {
  color: white !important;
  text-align: center;

  background: rgb(55, 77, 110) !important;
}
.synthesis .is-active {
  color: white !important;
  background-color: #586884 !important;
  border: #586884 !important;
}
.synthesis .el-tabs__nav-scroll {
  background: rgb(55, 77, 110) !important;
}
.synthesis .el-tabs__content {
  color: white !important;
  background-color: #586884 !important;
  padding: 0px !important;
}
.synthesis .box-card {
  height: 88%;

  border-radius: 0px;
}
.synthesis .el-card .el-card__body {
  padding: 0px;
}
.cardbox {
  width: 98%;
  height: 86%;
  position: absolute;
}
.synthesis .el-tabs--border-card {
  border: transparent;
  background: transparent;
}
</style>
